Subject: [spring] different meaning of destination address in draft-ietf-spring-srv6-network-programming

From: "Wang, Weibin (NSB - CN/Shanghai)" <[email-masked]>
Date: Fri, 20 Dec 2019 12:42:02 +0000

Hi Authors:

I have a bit confusion on understanding the meaning of "B2" in packet P1 and P2 in following section 5.1 in the latest draft;
I notice that "H.Encaps" cover two application scenario which you have mentioned in text, one is for CE-ingress PE for L3VPN using SR-policy, the other is TI-LFA in intermediate Node within SRv6 domain;
First for L3VPN scenario and the P1 is native packet toward ingress PE from CE;
So, I believe that "B2" in packet P1 is common ipv6 address (rfc4291), not SID.
Of course, I believe B2 in P2 always be SID, because it is included Segment List and it isn't last one.
As a result, I think the same B2 have different meaning in P1 and P2 in this example.
That lead easily to be confused.  it is better to using another letter in packet P1.

Second scenario, the P1 steered at PLR for TI-LFA;
With this scenario, of course, the B2 in P1 may have any meaning, it may be SID (END.DT4) or rfc4291-style GUA address (native IPv6 traffic). So, B2 in P1 has still different meaning compared with B2 in P2, because B2 in P2 is only SID.

So you had better distinguish the letter "B2" in P1 and P2 at same example, Is it right?

5.1.  H.Encaps: SR Headend with Encapsulation in an SRv6 Policy

   Node N receives two packets P1=(A, B2) and P2=(A,B2)(B3, B2, B1;
   SL=1).  B2 is neither a local address nor SID of N.

   N steers the transit packets P1 and P2 into an SR Policy with a
   Source Address T and a Segment list <S1, S2, S3>.

   The H.Encaps transit encapsulation behavior is defined as follows:

   S01.   Push an IPv6 header with its own SRH (S3, S2, S1; SL=2)
   S02.   Set outer IPv6 SA = T and outer IPv6 DA = S1
   S03.   Set outer payload length, traffic class and flow label
   S04.   Update the Next-Header value
   S05.   Decrement inner Hop Limit or TTL
   S06.   Submit the packet to the IPv6 module for transmission to S1

   After the H.Encaps behavior, P1 and P2 respectively look like:

   - (T, S1) (S3, S2, S1; SL=2) (A, B2)

   - (T, S1) (S3, S2, S1; SL=2) (A, B2) (B3, B2, B1; SL=1)

Cheers !

WANG Weibin